### Method

# Gtk.IconTheme.get_icon_sizes

#### Declaration [src]

    int*
    gtk_icon_theme_get_icon_sizes (
      GtkIconTheme* self,
      const char* icon_name
    )

#### Description [src]

Returns an array of integers describing the sizes at which the icon is available without scaling.

A size of -1 means that the icon is available in a scalable format. The array is zero-terminated.

#### Parameters

`icon_name` | `const char*`
| the name of an icon
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: An array of `int`
A newly allocated array describing the sizes at which the icon is available. The array should be freed with `g_free()` when it is no longer needed.
Ownership of the data is transferred to the caller